Page MenuHomePhabricator

isbn formatting
Closed, ResolvedPublic

Description

Remove <nowiki /> tags around ISBN numbers when formatting it.

This could be introduced in -fix:isbn

Event Timeline

Xqt created this task.Oct 3 2016, 10:27 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptOct 3 2016, 10:27 AM
Xqt triaged this task as Low priority.Oct 3 2016, 10:28 AM
binbot added a subscriber: binbot.Oct 5 2016, 12:03 PM

T145604 may be relevant. Is it worth to deal with it in two steps?

Xqt added a comment.Oct 5 2016, 12:19 PM

It's unclear for my why VE adds this<nowiki> stuff. Independently from result if RfC [1] the wikitext has to be fixed soon by removing <nowiki> tags.

[1] https://www.mediawiki.org/wiki/Requests_for_comment/Future_of_magic_links

Elitre added a subscriber: Elitre.Nov 21 2016, 4:54 PM

Change 313790 had a related patch set uploaded (by Xqt):
[fixes] Remove <nowiki /> tags arround ISBN numbers

https://gerrit.wikimedia.org/r/313790

If you automatically strip all nowiki tags, then how will you write encyclopedia articles about ISBNs? https://en.wikipedia.org/wiki/International_Standard_Book_Number currently contains 25 pairs of nowiki tags.

Xqt added a comment.Mar 26 2017, 2:25 PM

@Whatamidoing-WMF: Most of nowiki tags on this page are not necessary. I find a lot of <nowiki>ISBN-10</nowiki> and such stuff. This could be also be written as ISBN-10. I found only 3 occurences with valid ISBN numbers. You are right these should kept unchanged but this is mainly in scope of the bot Operator who can confirm every replacement. Or the page may be tagged with a {{nobots}} template. The best solution would be to solve that problem inside Visual Editor which causes that issue while masking all ISBNs.

It appears that these tags cannot be prevented in VisualEditor, because these tags were not added in VisualEditor. Here's the diff that added most of the nowiki tags to that article: https://en.wikipedia.org/w/index.php?title=International_Standard_Book_Number&diff=760344655&oldid=759594287 Another pair was added here: https://en.wikipedia.org/w/index.php?title=International_Standard_Book_Number&diff=724341279&oldid=724188375

Both of those edits appear to be deliberate changes by experienced editors using the old wikitext editors. There are no possible changes to VisualEditor that could prevent experienced editors from intentionally adding nowiki tags while not using VisualEditor.

Xqt added a comment.Mar 26 2017, 10:06 PM

@Whatamidoing-WMF: Look at this rc list with ISBN tag produced by this edit filter to track these wrong nowiki tags arround valid ISBN numbers. All of them have an addititonal tag "VisualEditor" i.e "Visuelle Bearbeitung". Try it and write a new ISBN number onto a page via Visual Editor. It will be placed inside this nowiki tags and the expected magic link isn't available. I do not know for what this is good for.

Whatamidoing-WMF added a comment.EditedMar 27 2017, 4:55 PM

That's probably T161152: Pasted ISBNs should trigger the ISBN typing auto-linking. https://de.wikipedia.org/w/index.php?title=Georg_I._Rákóczi&diff=prev&oldid=163842046 is probably the most instructive example: one ISBN is not linked, but the other is. You can see in this edit that magic-linked ISBNs can be added (at least until Magic Links are removed entirely, which is likely to happen this year).

(Also, is that edit filter working correctly? https://de.wikipedia.org/w/index.php?diff=prev&oldid=163910325 is tagged but introduces no new ISBNs.)

Change 313790 merged by jenkins-bot:
[pywikibot/core@master] [fixes] Remove <nowiki /> tags arround ISBN numbers

https://gerrit.wikimedia.org/r/313790

Restricted Application added a subscriber: jeblad. · View Herald TranscriptSep 18 2017, 4:41 PM
Dalba closed this task as Resolved.Sep 22 2017, 12:27 PM